Bug 684456 - [abrt] crash in _cairo_xlib_surface_set_matrix()
[abrt] crash in _cairo_xlib_surface_set_matrix()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
14
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:9ba4ece9d4c63e3bb38aa909a59...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-12 12:57 EST by David
Modified: 2012-08-16 10:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 10:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.03 KB, text/plain)
2011-03-12 12:57 EST, David
no flags Details

  None (edit)
Description David 2011-03-12 12:57:24 EST
abrt version: 1.1.17
architecture: i686
Attached file: backtrace, 65565 bytes
cmdline: /usr/bin/nm-connection-editor
component: NetworkManager
Attached file: coredump, 38408192 bytes
crash_function: _cairo_xlib_surface_set_matrix
executable: /usr/bin/nm-connection-editor
kernel: 2.6.35.11-83.fc14.i686
package: NetworkManager-gnome-1:0.8.3.997-1.fc14
rating: 4
reason: Process /usr/bin/nm-connection-editor was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1299950698
uid: 500

How to reproduce
-----
1.
2.
3.
This network error came up just as I logged into my user name.
Comment 1 David 2011-03-12 12:57:26 EST
Created attachment 483923 [details]
File: backtrace
Comment 2 Dan Williams 2011-04-13 17:29:40 EDT
Looks like a cairo issue:

#0  _cairo_xlib_surface_set_matrix (surface=<value optimized out>, attributes=0xbffc692c, xc=133.5, yc=13.5, display=<value optimized out>) at cairo-xlib-surface.c:1638
        xtransform = {matrix = {{65536, 0, 0}, {0, 65536, 0}, {0, 0, 65536}}}
#1  _cairo_xlib_surface_set_attributes (surface=<value optimized out>, attributes=0xbffc692c, xc=133.5, yc=13.5, display=<value optimized out>) at cairo-xlib-surface.c:1772
        status = <value optimized out>
        pa = {repeat = 3784968, alpha_map = 156606464, alpha_x_origin = 1024, alpha_y_origin = -1073979880, clip_x_origin = 3771246, clip_y_origin = 1024, clip_mask = 3220990324, graphics_exposures = 156606464, subwindow_mode = 52502340, poly_edge = 0, poly_mode = 157330968, dither = 3220987416, component_alpha = -411421887}
        mask = 0
#2  0x031cad96 in _cairo_xlib_surface_composite_trapezoids (op=CAIRO_OPERATOR_ADD, pattern=0x31f0000, abstract_dst=0x9772c00, antialias=CAIRO_ANTIALIAS_DEFAULT, src_x=147, src_y=290, dst_x=0, dst_y=0, width=267, height=27, traps=0x977a008, num_traps=78, clip_region=0x0) at cairo-xlib-surface.c:2915
        attributes = {matrix = {xx = 1, yx = 0, xy = 0, yy = 1, x0 = 0, y0 = 0}, extend = CAIRO_EXTEND_REPEAT, filter = CAIRO_FILTER_NEAREST, has_component_alpha = 0, x_offset = 0, y_offset = 0, extra = 0x9772c00}
        dst = 0x9772c00
        src = 0x9774460
        display = 0x960ae18
        status = 0
Comment 3 Fedora End Of Life 2012-08-16 10:59:46 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.